package com.dhcc.finance.main.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class CwBdRelationExample {

	protected String orderByClause;
	protected boolean distinct;
	protected List<Criteria> oredCriteria;

	public CwBdRelationExample() {
		oredCriteria = new ArrayList<Criteria>();
	}

	public void setOrderByClause(String orderByClause) {
		this.orderByClause = orderByClause;
	}

	public String getOrderByClause() {
		return orderByClause;
	}

	public void setDistinct(boolean distinct) {
		this.distinct = distinct;
	}

	public boolean isDistinct() {
		return distinct;
	}

	public List<Criteria> getOredCriteria() {
		return oredCriteria;
	}

	public void or(Criteria criteria) {
		oredCriteria.add(criteria);
	}

	public Criteria or() {
		Criteria criteria = createCriteriaInternal();
		oredCriteria.add(criteria);
		return criteria;
	}

	public Criteria createCriteria() {
		Criteria criteria = createCriteriaInternal();
		if (oredCriteria.size() == 0) {
			oredCriteria.add(criteria);
		}
		return criteria;
	}

	protected Criteria createCriteriaInternal() {
		Criteria criteria = new Criteria();
		return criteria;
	}

	public void clear() {
		oredCriteria.clear();
		orderByClause = null;
		distinct = false;
	}

	protected abstract static class GeneratedCriteria {
		protected List<Criterion> criteria;

		protected GeneratedCriteria() {
			super();
			criteria = new ArrayList<Criterion>();
		}

		public boolean isValid() {
			return criteria.size() > 0;
		}

		public List<Criterion> getAllCriteria() {
			return criteria;
		}

		public List<Criterion> getCriteria() {
			return criteria;
		}

		protected void addCriterion(String condition) {
			if (condition == null) {
				throw new RuntimeException("Value for condition cannot be null");
			}
			criteria.add(new Criterion(condition));
		}

		protected void addCriterion(String condition, Object value, String property) {
			if (value == null) {
				throw new RuntimeException("Value for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value));
		}

		protected void addCriterion(String condition, Object value1, Object value2, String property) {
			if (value1 == null || value2 == null) {
				throw new RuntimeException("Between values for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value1, value2));
		}

		public Criteria andPkRelationIsNull() {
			addCriterion("PK_RELATION is null");
			return (Criteria) this;
		}

		public Criteria andPkRelationIsNotNull() {
			addCriterion("PK_RELATION is not null");
			return (Criteria) this;
		}

		public Criteria andPkRelationEqualTo(String value) {
			addCriterion("PK_RELATION =", value, "pkRelation");
			return (Criteria) this;
		}

		public Criteria andPkRelationNotEqualTo(String value) {
			addCriterion("PK_RELATION <>", value, "pkRelation");
			return (Criteria) this;
		}

		public Criteria andPkRelationGreaterThan(String value) {
			addCriterion("PK_RELATION >", value, "pkRelation");
			return (Criteria) this;
		}

		public Criteria andPkRelationGreaterThanOrEqualTo(String value) {
			addCriterion("PK_RELATION >=", value, "pkRelation");
			return (Criteria) this;
		}

		public Criteria andPkRelationLessThan(String value) {
			addCriterion("PK_RELATION <", value, "pkRelation");
			return (Criteria) this;
		}

		public Criteria andPkRelationLessThanOrEqualTo(String value) {
			addCriterion("PK_RELATION <=", value, "pkRelation");
			return (Criteria) this;
		}

		public Criteria andPkRelationLike(String value) {
			addCriterion("PK_RELATION like", value, "pkRelation");
			return (Criteria) this;
		}

		public Criteria andPkRelationNotLike(String value) {
			addCriterion("PK_RELATION not like", value, "pkRelation");
			return (Criteria) this;
		}

		public Criteria andPkRelationIn(List<String> values) {
			addCriterion("PK_RELATION in", values, "pkRelation");
			return (Criteria) this;
		}

		public Criteria andPkRelationNotIn(List<String> values) {
			addCriterion("PK_RELATION not in", values, "pkRelation");
			return (Criteria) this;
		}

		public Criteria andPkRelationBetween(String value1, String value2) {
			addCriterion("PK_RELATION between", value1, value2, "pkRelation");
			return (Criteria) this;
		}

		public Criteria andPkRelationNotBetween(String value1, String value2) {
			addCriterion("PK_RELATION not between", value1, value2, "pkRelation");
			return (Criteria) this;
		}

		public Criteria andPkSrcbilltypeIsNull() {
			addCriterion("PK_SRCBILLTYPE is null");
			return (Criteria) this;
		}

		public Criteria andPkSrcbilltypeIsNotNull() {
			addCriterion("PK_SRCBILLTYPE is not null");
			return (Criteria) this;
		}

		public Criteria andPkSrcbilltypeEqualTo(String value) {
			addCriterion("PK_SRCBILLTYPE =", value, "pkSrcbilltype");
			return (Criteria) this;
		}

		public Criteria andPkSrcbilltypeNotEqualTo(String value) {
			addCriterion("PK_SRCBILLTYPE <>", value, "pkSrcbilltype");
			return (Criteria) this;
		}

		public Criteria andPkSrcbilltypeGreaterThan(String value) {
			addCriterion("PK_SRCBILLTYPE >", value, "pkSrcbilltype");
			return (Criteria) this;
		}

		public Criteria andPkSrcbilltypeGreaterThanOrEqualTo(String value) {
			addCriterion("PK_SRCBILLTYPE >=", value, "pkSrcbilltype");
			return (Criteria) this;
		}

		public Criteria andPkSrcbilltypeLessThan(String value) {
			addCriterion("PK_SRCBILLTYPE <", value, "pkSrcbilltype");
			return (Criteria) this;
		}

		public Criteria andPkSrcbilltypeLessThanOrEqualTo(String value) {
			addCriterion("PK_SRCBILLTYPE <=", value, "pkSrcbilltype");
			return (Criteria) this;
		}

		public Criteria andPkSrcbilltypeLike(String value) {
			addCriterion("PK_SRCBILLTYPE like", value, "pkSrcbilltype");
			return (Criteria) this;
		}

		public Criteria andPkSrcbilltypeNotLike(String value) {
			addCriterion("PK_SRCBILLTYPE not like", value, "pkSrcbilltype");
			return (Criteria) this;
		}

		public Criteria andPkSrcbilltypeIn(List<String> values) {
			addCriterion("PK_SRCBILLTYPE in", values, "pkSrcbilltype");
			return (Criteria) this;
		}

		public Criteria andPkSrcbilltypeNotIn(List<String> values) {
			addCriterion("PK_SRCBILLTYPE not in", values, "pkSrcbilltype");
			return (Criteria) this;
		}

		public Criteria andPkSrcbilltypeBetween(String value1, String value2) {
			addCriterion("PK_SRCBILLTYPE between", value1, value2, "pkSrcbilltype");
			return (Criteria) this;
		}

		public Criteria andPkSrcbilltypeNotBetween(String value1, String value2) {
			addCriterion("PK_SRCBILLTYPE not between", value1, value2, "pkSrcbilltype");
			return (Criteria) this;
		}

		public Criteria andPkSrcbillpkIsNull() {
			addCriterion("PK_SRCBILLPK is null");
			return (Criteria) this;
		}

		public Criteria andPkSrcbillpkIsNotNull() {
			addCriterion("PK_SRCBILLPK is not null");
			return (Criteria) this;
		}

		public Criteria andPkSrcbillpkEqualTo(String value) {
			addCriterion("PK_SRCBILLPK =", value, "pkSrcbillpk");
			return (Criteria) this;
		}

		public Criteria andPkSrcbillpkNotEqualTo(String value) {
			addCriterion("PK_SRCBILLPK <>", value, "pkSrcbillpk");
			return (Criteria) this;
		}

		public Criteria andPkSrcbillpkGreaterThan(String value) {
			addCriterion("PK_SRCBILLPK >", value, "pkSrcbillpk");
			return (Criteria) this;
		}

		public Criteria andPkSrcbillpkGreaterThanOrEqualTo(String value) {
			addCriterion("PK_SRCBILLPK >=", value, "pkSrcbillpk");
			return (Criteria) this;
		}

		public Criteria andPkSrcbillpkLessThan(String value) {
			addCriterion("PK_SRCBILLPK <", value, "pkSrcbillpk");
			return (Criteria) this;
		}

		public Criteria andPkSrcbillpkLessThanOrEqualTo(String value) {
			addCriterion("PK_SRCBILLPK <=", value, "pkSrcbillpk");
			return (Criteria) this;
		}

		public Criteria andPkSrcbillpkLike(String value) {
			addCriterion("PK_SRCBILLPK like", value, "pkSrcbillpk");
			return (Criteria) this;
		}

		public Criteria andPkSrcbillpkNotLike(String value) {
			addCriterion("PK_SRCBILLPK not like", value, "pkSrcbillpk");
			return (Criteria) this;
		}

		public Criteria andPkSrcbillpkIn(List<String> values) {
			addCriterion("PK_SRCBILLPK in", values, "pkSrcbillpk");
			return (Criteria) this;
		}

		public Criteria andPkSrcbillpkNotIn(List<String> values) {
			addCriterion("PK_SRCBILLPK not in", values, "pkSrcbillpk");
			return (Criteria) this;
		}

		public Criteria andPkSrcbillpkBetween(String value1, String value2) {
			addCriterion("PK_SRCBILLPK between", value1, value2, "pkSrcbillpk");
			return (Criteria) this;
		}

		public Criteria andPkSrcbillpkNotBetween(String value1, String value2) {
			addCriterion("PK_SRCBILLPK not between", value1, value2, "pkSrcbillpk");
			return (Criteria) this;
		}

		public Criteria andPkVoucherIsNull() {
			addCriterion("PK_VOUCHER is null");
			return (Criteria) this;
		}

		public Criteria andPkVoucherIsNotNull() {
			addCriterion("PK_VOUCHER is not null");
			return (Criteria) this;
		}

		public Criteria andPkVoucherEqualTo(String value) {
			addCriterion("PK_VOUCHER =", value, "pkVoucher");
			return (Criteria) this;
		}

		public Criteria andPkVoucherNotEqualTo(String value) {
			addCriterion("PK_VOUCHER <>", value, "pkVoucher");
			return (Criteria) this;
		}

		public Criteria andPkVoucherGreaterThan(String value) {
			addCriterion("PK_VOUCHER >", value, "pkVoucher");
			return (Criteria) this;
		}

		public Criteria andPkVoucherGreaterThanOrEqualTo(String value) {
			addCriterion("PK_VOUCHER >=", value, "pkVoucher");
			return (Criteria) this;
		}

		public Criteria andPkVoucherLessThan(String value) {
			addCriterion("PK_VOUCHER <", value, "pkVoucher");
			return (Criteria) this;
		}

		public Criteria andPkVoucherLessThanOrEqualTo(String value) {
			addCriterion("PK_VOUCHER <=", value, "pkVoucher");
			return (Criteria) this;
		}

		public Criteria andPkVoucherLike(String value) {
			addCriterion("PK_VOUCHER like", value, "pkVoucher");
			return (Criteria) this;
		}

		public Criteria andPkVoucherNotLike(String value) {
			addCriterion("PK_VOUCHER not like", value, "pkVoucher");
			return (Criteria) this;
		}

		public Criteria andPkVoucherIn(List<String> values) {
			addCriterion("PK_VOUCHER in", values, "pkVoucher");
			return (Criteria) this;
		}

		public Criteria andPkVoucherNotIn(List<String> values) {
			addCriterion("PK_VOUCHER not in", values, "pkVoucher");
			return (Criteria) this;
		}

		public Criteria andPkVoucherBetween(String value1, String value2) {
			addCriterion("PK_VOUCHER between", value1, value2, "pkVoucher");
			return (Criteria) this;
		}

		public Criteria andPkVoucherNotBetween(String value1, String value2) {
			addCriterion("PK_VOUCHER not between", value1, value2, "pkVoucher");
			return (Criteria) this;
		}

		public Criteria andUseStateIsNull() {
			addCriterion("USE_STATE is null");
			return (Criteria) this;
		}

		public Criteria andUseStateIsNotNull() {
			addCriterion("USE_STATE is not null");
			return (Criteria) this;
		}

		public Criteria andUseStateEqualTo(String value) {
			addCriterion("USE_STATE =", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotEqualTo(String value) {
			addCriterion("USE_STATE <>", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateGreaterThan(String value) {
			addCriterion("USE_STATE >", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateGreaterThanOrEqualTo(String value) {
			addCriterion("USE_STATE >=", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateLessThan(String value) {
			addCriterion("USE_STATE <", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateLessThanOrEqualTo(String value) {
			addCriterion("USE_STATE <=", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateLike(String value) {
			addCriterion("USE_STATE like", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotLike(String value) {
			addCriterion("USE_STATE not like", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateIn(List<String> values) {
			addCriterion("USE_STATE in", values, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotIn(List<String> values) {
			addCriterion("USE_STATE not in", values, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateBetween(String value1, String value2) {
			addCriterion("USE_STATE between", value1, value2, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotBetween(String value1, String value2) {
			addCriterion("USE_STATE not between", value1, value2, "useState");
			return (Criteria) this;
		}

		public Criteria andCreateUserIsNull() {
			addCriterion("CREATE_USER is null");
			return (Criteria) this;
		}

		public Criteria andCreateUserIsNotNull() {
			addCriterion("CREATE_USER is not null");
			return (Criteria) this;
		}

		public Criteria andCreateUserEqualTo(String value) {
			addCriterion("CREATE_USER =", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotEqualTo(String value) {
			addCriterion("CREATE_USER <>", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserGreaterThan(String value) {
			addCriterion("CREATE_USER >", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserGreaterThanOrEqualTo(String value) {
			addCriterion("CREATE_USER >=", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserLessThan(String value) {
			addCriterion("CREATE_USER <", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserLessThanOrEqualTo(String value) {
			addCriterion("CREATE_USER <=", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserLike(String value) {
			addCriterion("CREATE_USER like", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotLike(String value) {
			addCriterion("CREATE_USER not like", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserIn(List<String> values) {
			addCriterion("CREATE_USER in", values, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotIn(List<String> values) {
			addCriterion("CREATE_USER not in", values, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserBetween(String value1, String value2) {
			addCriterion("CREATE_USER between", value1, value2, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotBetween(String value1, String value2) {
			addCriterion("CREATE_USER not between", value1, value2, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateTimeIsNull() {
			addCriterion("CREATE_TIME is null");
			return (Criteria) this;
		}

		public Criteria andCreateTimeIsNotNull() {
			addCriterion("CREATE_TIME is not null");
			return (Criteria) this;
		}

		public Criteria andCreateTimeEqualTo(Date value) {
			addCriterion("CREATE_TIME =", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeNotEqualTo(Date value) {
			addCriterion("CREATE_TIME <>", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeGreaterThan(Date value) {
			addCriterion("CREATE_TIME >", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
			addCriterion("CREATE_TIME >=", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeLessThan(Date value) {
			addCriterion("CREATE_TIME <", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
			addCriterion("CREATE_TIME <=", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeIn(List<Date> values) {
			addCriterion("CREATE_TIME in", values, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeNotIn(List<Date> values) {
			addCriterion("CREATE_TIME not in", values, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeBetween(Date value1, Date value2) {
			addCriterion("CREATE_TIME between", value1, value2, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
			addCriterion("CREATE_TIME not between", value1, value2, "createTime");
			return (Criteria) this;
		}

		public Criteria andUpdateUserIsNull() {
			addCriterion("UPDATE_USER is null");
			return (Criteria) this;
		}

		public Criteria andUpdateUserIsNotNull() {
			addCriterion("UPDATE_USER is not null");
			return (Criteria) this;
		}

		public Criteria andUpdateUserEqualTo(String value) {
			addCriterion("UPDATE_USER =", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotEqualTo(String value) {
			addCriterion("UPDATE_USER <>", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserGreaterThan(String value) {
			addCriterion("UPDATE_USER >", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserGreaterThanOrEqualTo(String value) {
			addCriterion("UPDATE_USER >=", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserLessThan(String value) {
			addCriterion("UPDATE_USER <", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserLessThanOrEqualTo(String value) {
			addCriterion("UPDATE_USER <=", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserLike(String value) {
			addCriterion("UPDATE_USER like", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotLike(String value) {
			addCriterion("UPDATE_USER not like", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserIn(List<String> values) {
			addCriterion("UPDATE_USER in", values, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotIn(List<String> values) {
			addCriterion("UPDATE_USER not in", values, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserBetween(String value1, String value2) {
			addCriterion("UPDATE_USER between", value1, value2, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotBetween(String value1, String value2) {
			addCriterion("UPDATE_USER not between", value1, value2, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeIsNull() {
			addCriterion("UPDATE_TIME is null");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeIsNotNull() {
			addCriterion("UPDATE_TIME is not null");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeEqualTo(Date value) {
			addCriterion("UPDATE_TIME =", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeNotEqualTo(Date value) {
			addCriterion("UPDATE_TIME <>", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeGreaterThan(Date value) {
			addCriterion("UPDATE_TIME >", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
			addCriterion("UPDATE_TIME >=", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeLessThan(Date value) {
			addCriterion("UPDATE_TIME <", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
			addCriterion("UPDATE_TIME <=", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeIn(List<Date> values) {
			addCriterion("UPDATE_TIME in", values, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeNotIn(List<Date> values) {
			addCriterion("UPDATE_TIME not in", values, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeBetween(Date value1, Date value2) {
			addCriterion("UPDATE_TIME between", value1, value2, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
			addCriterion("UPDATE_TIME not between", value1, value2, "updateTime");
			return (Criteria) this;
		}

		public Criteria andRemarkIsNull() {
			addCriterion("REMARK is null");
			return (Criteria) this;
		}

		public Criteria andRemarkIsNotNull() {
			addCriterion("REMARK is not null");
			return (Criteria) this;
		}

		public Criteria andRemarkEqualTo(String value) {
			addCriterion("REMARK =", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotEqualTo(String value) {
			addCriterion("REMARK <>", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkGreaterThan(String value) {
			addCriterion("REMARK >", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkGreaterThanOrEqualTo(String value) {
			addCriterion("REMARK >=", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkLessThan(String value) {
			addCriterion("REMARK <", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkLessThanOrEqualTo(String value) {
			addCriterion("REMARK <=", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkLike(String value) {
			addCriterion("REMARK like", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotLike(String value) {
			addCriterion("REMARK not like", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkIn(List<String> values) {
			addCriterion("REMARK in", values, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotIn(List<String> values) {
			addCriterion("REMARK not in", values, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkBetween(String value1, String value2) {
			addCriterion("REMARK between", value1, value2, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotBetween(String value1, String value2) {
			addCriterion("REMARK not between", value1, value2, "remark");
			return (Criteria) this;
		}
	}

	public static class Criteria extends GeneratedCriteria {
		protected Criteria() {
			super();
		}
	}

	public static class Criterion {
		private String condition;
		private Object value;
		private Object secondValue;
		private boolean noValue;
		private boolean singleValue;
		private boolean betweenValue;
		private boolean listValue;
		private String typeHandler;

		public String getCondition() {
			return condition;
		}

		public Object getValue() {
			return value;
		}

		public Object getSecondValue() {
			return secondValue;
		}

		public boolean isNoValue() {
			return noValue;
		}

		public boolean isSingleValue() {
			return singleValue;
		}

		public boolean isBetweenValue() {
			return betweenValue;
		}

		public boolean isListValue() {
			return listValue;
		}

		public String getTypeHandler() {
			return typeHandler;
		}

		protected Criterion(String condition) {
			super();
			this.condition = condition;
			this.typeHandler = null;
			this.noValue = true;
		}

		protected Criterion(String condition, Object value, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.typeHandler = typeHandler;
			if (value instanceof List<?>) {
				this.listValue = true;
			} else {
				this.singleValue = true;
			}
		}

		protected Criterion(String condition, Object value) {
			this(condition, value, null);
		}

		protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.secondValue = secondValue;
			this.typeHandler = typeHandler;
			this.betweenValue = true;
		}

		protected Criterion(String condition, Object value, Object secondValue) {
			this(condition, value, secondValue, null);
		}
	}
   
}